<script>
    import Menu from "./Menu.svelte";
	import MenuItem from "./Menuitem.svelte";
	import ProgramsOffered_Icon from "../img/ProgramsOffered_Icon (1).png";
	import InquireNow_Icon1 from "../img/InquireNow_Icon1 (1).png";
	import InquireNow_Icon2 from "../img/InquireNow_Icon2 (1).png";
	import ApplyNow_Icon from "../img/ApplyNow_Icon.png";
	import Menuitem from "./Menuitem.svelte";
</script>

<div class="nav-container">
    <nav>
        <ul class="grid-container-menu">
            <li class="w-12">
                <a href="https://www.ceis.edu.ph/senior-high-school-1"><img src={ProgramsOffered_Icon} class="img-menu-bar" alt="ProgramsOffered_Icon"/>PROGRAMS OFFERED</a>
            </li>
            <li class="w-17">
                <Menu>
                    <span slot='toggle'><img src={InquireNow_Icon1} class="img-menu-bar" alt="InquireNow_Icon1"/>INQUIRE NOW</span>
                        <MenuItem>
                            <a href="tel:87359449">CEIS SHS MANILA<br>87359449</a>
                        </MenuItem>
                        <MenuItem>
                            <a href="tel:32887356861">87356861 local 328</a>
                        </MenuItem>
                        <MenuItem>
                            <a href="tel:88890744">CEIS SHS MAKATI<br>8-889-0744</a>
                        </MenuItem>
                        <MenuItem>
                            <a href="tel:0447603204">CEIS SHS MALOLOS<br>(044) 760-3204</a>
                        </MenuItem>
                        <Menuitem>
                            <a href="tel:09177147225">0917-714-7225</a>
                        </Menuitem>
                </Menu>
            </li>
            <li class="w-17">
                <Menu>
                    <span slot='toggle'><img src={InquireNow_Icon2} class="img-menu-bar" alt="InquireNow_Icon2"/>INQUIRE NOW</span>
                    <MenuItem>
                        <a href="mailto:ceismanila@ceis.edu.ph">CEIS SHS MANILA<br>ceismanila@ceis.edu.ph</a>
                    </MenuItem>
                    <MenuItem>
                        <a href="mailto:ceismakati@ceis.edu.ph">CEIS SHS MAKATI<br>ceismakati@ceis.edu.ph</a>
                    </MenuItem>
                    <MenuItem>
                        <a href="mailto:online_ceismalolos@ceis.edu.ph">CEIS SHS MALOLOS<br>online_ceismalolos@ceis.edu.ph</a>
                    </MenuItem>
                </Menu>
            </li>
            <li class="w-17">
                <Menu>
                    <span slot='toggle'><img src={ApplyNow_Icon} class="img-menu-bar" alt="ApplyNow_Icon"/>APPLY NOW</span>
                    <MenuItem>
                        <a href="https://bit.ly/CEISManila-OREF 2024-2025">CEIS SHS MANILA</a>
                    </MenuItem>
                    <MenuItem>
                        <a href="https://forms.gle/vE2teDu9qubcCppq6">CEIS SHS MAKATI</a>
                    </MenuItem>
                    <MenuItem>
                        <a href="https://tinyurl.com/CEISMalolos-OREF2024-2025">CEIS SHS MALOLOS</a>
                    </MenuItem>
                </Menu>
            </li>
        </ul>
    </nav>
</div>

<style>

ul,
	li {
  		margin: 0;
		padding: 0;
	}

    ul {
		list-style-type: none;
		padding-top: 10px;
		padding-left: 200px;
		padding-bottom: 200px;
	}

.img-menu-bar{
	width: 50px;
	margin-left: auto;
	margin-right: auto;
}

.grid-container-menu{
  display: grid;
  grid-template-columns: auto auto auto auto;
  grid-gap: 60px;
  background-color: none;
  padding: 20px;
  margin-left: auto;
  margin-right: auto;
  font-weight: 450;
  font-size: smaller;
  color:white;
  width: 75%;
}
@media screen and (max-width: 320px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 30px;
		background-color: none;
		padding: 10px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width: 100%;
	}	

    .img-menu-bar{
        width: 30px;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (min-width: 350px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 30px;
		background-color: none;
		padding: 20px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width: 89%;
	}	

    .img-menu-bar{
        width: 30px;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (min-width: 750px) {
    .grid-container-menu{
		display: grid;
		grid-template-columns: auto auto auto auto;
		grid-gap: 120px;
		background-color: none;
		padding: 20px;
		margin-left: auto;
		margin-right: auto;
		font-weight: 450;
		font-size: smaller;
		color:white;
		width:74%;
	}
    .img-menu-bar{
        width: 50px;
        margin-left: auto;
        margin-right: auto;
    }
}

</style>